Subject: Re: [X2Go-Dev] Bug#671: Desktop Sessions like KDE and ICEWM quit immediately after spawning with x2goserver >4.0.1.15

From: Mike Gabriel <[email-masked]>
Date: Thu, 13 Nov 2014 13:15:09 +0000

Hi Thomas,

On  Do 13 Nov 2014 13:22:44 CET, Thomas Wagner wrote:

> Hi,
>
> I was using the OBS version, as suggested by
> http://wiki.x2go.org/doku.php/wiki:repositories:suse.
> After the bug appeared, the main x2go repo was reverted to 4.0.1.15.
> The OBS version does not have an x2goserver-xsessions package since the
> files contained there are already included in the rpm for x2goserver.
>
> I gave the nightly build a short try and it seems to work. However, now
> I don't know if it's a packaging bug or a bug that has been fixed in
> between version 4.0.1.18 and the nightly built version.
>
> best regards
>
> Thomas

in previous versions of X2Go Server, desktop sessions were executed  
like rootless applications if the Xsession mechanism failed in  
x2goserver-xsession.

This was changed for 4.0.1.16, however, now all desktop session  
startups fail for distributions we are not aware of.

For openSUSE (or SUSE in general, actually), this was fixed by a  
post-4.0.1.18 commit (present in the nightly builds and pending for  
release 4.0.1.19):
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=3d98f8999f60840329241d82de6d741d1c2cbc9c

I will add a bug closure for this bug to the corresponding changelog entry.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb